## desproxy 0.1.0~pre3

=== debian/changelog ===
desproxy (0.1.0~pre3-11) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ наб ]
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Maintainer: (Closes: #920099)
      Jari Aalto <jari.aalto@cante.net> ->
      Package Salvaging Team <team+salvage@tracker.debian.org>
  * d/p/: (Closes: #1074907)
      0004 Define each global once, in util.c
      0005 Fix -Wimplicit-int
  * d/rules: replace broken upstream install step
  * obsolete-url-in-packaging [debian/copyright]

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk seed $(CC). (Closes: #928117)

  [ Andreas Tille ]
  * Secure URI in watch file
  * Remove invalid debian/upstream/metadata

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 27 Apr 2025 17:49:31 +0200

desproxy (0.1.0~pre3-10) unstable; urgency=medium

  * debian/watch
    - Update. Patch thanks to Bart Martens <bartm@debian.org>
      https://qa.debian.org/cgi-bin/watchfile.cgi?package=desproxy

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 30 Oct 2016 08:57:00 +0200

desproxy (0.1.0~pre3-9) unstable; urgency=medium


  [ Jari Aalto ]
  * debian/control
    - (Build-Depends): debhelper 9.
    - (Standards-Version): Update to 3.9.8.
  * desproxy.1.pod
    - Fix typo.
  * debian/pod2man.mk
    - Make build reproducible (Closes: 782211).
      Patch thanks to Reiner Herrmann <reiner@reiner-h.de>.

  [ Mario Lang <mlang@debian.org> ]
  * debian/control
    - (Vcs-*): Update to anonscm.debian.org.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 20 Oct 2016 20:44:30 +0300

desproxy (0.1.0~pre3-8) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright:
    - Update to format 1.0.
  * debian/rules
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables (Closes: #665213). Patch thanks to
      Simon Ruderich <simon@ruderich.org>.
  * debian/*.mk
    - Delete no longer used debian-*.mk files.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 01:40:09 -0400

desproxy (0.1.0~pre3-7) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): Update to debhelper 9, dpkg-dev 1.16.1.
  * debian/copyright:
    - Update to DEP5.
  * debian/rules
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 11 Feb 2012 17:21:43 -0500

desproxy (0.1.0~pre3-6) unstable; urgency=low

  * debian/*.mk
    - Update makefile snippets.
  * debian/control
    - (Description): Improve wording (Closes: #602924).
  * debian/debian-autotools.mk
    - Remove. No longer needed.
  * debian/rules
    - Update all targets to dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 13 Nov 2010 11:10:15 +0200

desproxy (0.1.0~pre3-5) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Standards-Version): 3.9.1.
  * debian/patches
    - (20+30): New. Change 'buffer' to unsigned which fixes
      desproxy-socksserver(1). Patch thanks to Daniel Burr
      <dburr@topcon.com> (Closes: #592202).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 11 Oct 2010 13:09:20 +0300

desproxy (0.1.0~pre3-3) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/{clean,desproxy.manpages,upstream}
    - New files moved from debian/rules for dh(1).
  * debian/control
    - (Build-Depends): Remove dpatch.
    - (Standards-Version): Update to 3.8.3.
  * debian/copyright
    - Minor layout update. Use FSF URL.
  * debian/debian-compile.mk
    - New file.
  * debian/desproxy.doc-base
    - New file.
  * debian/patches
    - (10): Convert from dpatch to quilt.
    - (20): Add compile fix patch.
  * debian/rules
    - (top-level): Remove dpatch.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 14 Jan 2010 18:30:01 +0200

desproxy (0.1.0~pre3-2) unstable; urgency=low

  * debian/*.1
    - Remove generated files.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): Update debhelper to 7.
    - (Homepage): Move upward.
    - (Standards-Version): update to 3.8.2.
  * debian/copyright
    - Minor layout adjustments. Use ISO dates.
    - Spell out GPL-2 (lintian).
  * debian/rules
    - Rewrite config.sub and config.guess handling so, that
      the updated version are copied from Debian during compile, but
      restored during making the *.deb. This keeps config.* changes
      out of *.diff.gz
    - (install): use dh_prep (lintian).
  * debian/debian-vars.mk
    - Updated. Added config.* and MAKE_FLAGS etc.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 07 Aug 2009 08:21:54 +0000

desproxy (0.1.0~pre3-1) unstable; urgency=low

  * Initial release (Closes: #321758)

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 31 Oct 2008 19:06:12 +0000
