=== debian/control ===
Source: desproxy
Section: net
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Uploaders: Felipe Augusto van de Wiel <faw@debian.org>
Vcs-Git: https://salsa.debian.org/debian/desproxy.git
Vcs-Browser: https://salsa.debian.org/debian/desproxy
Homepage: https://sourceforge.net/projects/desproxy
Rules-Requires-Root: no

Package: desproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tunnel TCP traffic through a HTTP proxy
 Browsers (in general HTTP clients) use HTTP proxies to request web pages. The
 proxy forwards those request to the destination server. All
 the negotiation is done via the HTTP protocol, which is designed just
 to carry HTTP requests and no generic (TCP/IP) traffic. That is why you
 can't (normally) use Internet applications beside your browser if
 you are behind a HTTP proxy.
 .
 That is what desproxy is good for. Desproxy is a TCP tunnel, which
 means desproxy can forward TCP/IP traffic via a HTTP proxy. Desproxy
 uses a HTTP/1.1 method (CONNECT) to establish TCP/IP connections on
 demand. CONNECT is used for SSL connections when accessing to secure
 sites. So if you can access sites that support SSL (www.hotmail.com for
 example) you can use desproxy.
