=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = desproxy

-include /usr/share/dpkg/buildtools.mk
export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE)-dns makeman
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE)-inetd makeman
	$(MAKE) -C debian -f pod2man.mk PACKAGE=socket2socket makeman
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE)-socksserver \
	makeman

override_dh_auto_build:
	$(MAKE) CC="$(CC) $(CPPFLAGS)" CFLAGS="$(CFLAGS) $(LDFLAGS)"

override_dh_auto_install: man
	@:

%:
	dh $@

.PHONY: man

# End of file
