=== debian/watch ===
version=4
opts=uversionmangle=s/^(\S+-bin)$/0.0.$1/;s/-(pre\d*)$/~$1/ \
https://sf.net/@PACKAGE@/@PACKAGE@[_\-](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
